Manifest-Version: 1.0
Bnd-LastModified: 1754080227514
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Change Tracking Store Service
Bundle-SymbolicName: com.liferay.change.tracking.store.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 2.0.32.hotfix-6834-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.change.tracking.model;version="3.5",com.li
 feray.change.tracking.service;version="6.2",com.liferay.change.tracki
 ng.spi.exception;version="1.0",com.liferay.change.tracking.spi.listen
 er;version="2.0",com.liferay.change.tracking.spi.reference;version="1
 .0",com.liferay.change.tracking.spi.reference.builder;version="1.0",c
 om.liferay.change.tracking.store.exception;version="1.0",com.liferay.
 change.tracking.store.model;version="2.1",com.liferay.change.tracking
 .store.service;version="1.6",com.liferay.change.tracking.store.servic
 e.persistence;version="1.1",com.liferay.counter.kernel.service;versio
 n="2.2",com.liferay.document.library.kernel.store;version="9.0",com.l
 iferay.document.library.kernel.util;version="10.0",com.liferay.expand
 o.kernel.model;version="6.0",com.liferay.expando.kernel.util;version=
 "5.0",com.liferay.osgi.service.tracker.collections.map;version="2.3",
 com.liferay.petra.function;version="1.5",com.liferay.petra.io;version
 ="1.3",com.liferay.petra.io.unsync;version="1.0",com.liferay.petra.la
 ng;version="1.3",com.liferay.petra.sql.dsl;version="1.2",com.liferay.
 petra.sql.dsl.query;version="2.0",com.liferay.petra.string;version="1
 .7",com.liferay.portal.aop;version="1.0",com.liferay.portal.change.tr
 acking.store,com.liferay.portal.kernel.bean;version="10.1",com.lifera
 y.portal.kernel.change.tracking;version="2.2",com.liferay.portal.kern
 el.change.tracking.sql;version="1.0",com.liferay.portal.kernel.config
 uration;version="7.0",com.liferay.portal.kernel.dao.db;version="14.0"
 ,com.liferay.portal.kernel.dao.jdbc;version="9.0",com.liferay.portal.
 kernel.dao.orm;version="12.0",com.liferay.portal.kernel.exception;ver
 sion="13.3",com.liferay.portal.kernel.io.unsync;version="8.0",com.lif
 eray.portal.kernel.log;version="8.0",com.liferay.portal.kernel.model;
 version="30.4",com.liferay.portal.kernel.model.change.tracking;versio
 n="3.0",com.liferay.portal.kernel.model.impl;version="7.4",com.lifera
 y.portal.kernel.module.framework.service;version="1.0",com.liferay.po
 rtal.kernel.search;version="20.2",com.liferay.portal.kernel.security.
 auth;version="6.1",com.liferay.portal.kernel.service;version="25.1",c
 om.liferay.portal.kernel.service.change.tracking;version="1.0",com.li
 feray.portal.kernel.service.persistence;version="22.1",com.liferay.po
 rtal.kernel.service.persistence.change.tracking;version="1.4",com.lif
 eray.portal.kernel.service.persistence.change.tracking.helper;version
 ="1.1",com.liferay.portal.kernel.service.persistence.impl;version="4.
 1",com.liferay.portal.kernel.transaction;version="8.1",com.liferay.po
 rtal.kernel.util;version="63.0",com.liferay.portal.util;version="52.0
 ",com.liferay.portlet.documentlibrary.store;version="9.0",javax.sql,o
 rg.osgi.framework;version="1.8",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Change Tracking
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 1.0.0
Liferay-Service: true
Private-Package: com.liferay.change.tracking.store.internal,com.lifera
 y.change.tracking.store.internal.change.tracking.spi.reference,com.li
 feray.change.tracking.store.model.impl,com.liferay.change.tracking.st
 ore.service.base,com.liferay.change.tracking.store.service.impl,com.l
 iferay.change.tracking.store.service.persistence.impl,com.liferay.cha
 nge.tracking.store.service.persistence.impl.constants
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .change.tracking.spi.listener.CTEventListener";uses:="com.liferay.cha
 nge.tracking.spi.listener",osgi.service;objectClass:List<String>="com
 .liferay.change.tracking.spi.reference.TableReferenceDefinition";uses
 :="com.liferay.change.tracking.spi.reference",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.store.service.persistence
 .CTSContentPersistence";uses:="com.liferay.change.tracking.store.serv
 ice.persistence",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.aop.AopService";uses:="com.liferay.portal.aop",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.change.tracking.store.CTSto
 reFactory";uses:="com.liferay.portal.change.tracking.store",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.dao.orm.Argum
 entsResolver";uses:="com.liferay.portal.kernel.dao.orm",osgi.service;
 objectClass:List<String>="com.liferay.change.tracking.store.service.C
 TSContentLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.cha
 nge.tracking.service.CTEntryLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.change.tracking.store.service.
 CTSContentLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.change.tracking.store.service.persistence.CTSCon
 tentPersistence)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.counter.kernel.service.CounterLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.change.
 tracking.store.CTStoreFactory)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.configuration.Configuration
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.dao.orm.EntityCache)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.dao.orm.FinderCache)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.dao.orm.SessionFactory)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.ClassNameLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.persistence.change.tracking.helper.CTPersiste
 nceHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.util.File)";effective:=active,osgi.service;filt
 er:="(objectClass=javax.sql.DataSource)";effective:=active,osgi.exten
 der;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(!(versi
 on>=2.0.0)))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.change.tracking.store.internal
 .CTStoreCTEventListener.xml,OSGI-INF/com.liferay.change.tracking.stor
 e.internal.CTStoreFactoryImpl.xml,OSGI-INF/com.liferay.change.trackin
 g.store.internal.CTStoreRegistrator.xml,OSGI-INF/com.liferay.change.t
 racking.store.internal.change.tracking.spi.reference.CTSContentTableR
 eferenceDefinition.xml,OSGI-INF/com.liferay.change.tracking.store.ser
 vice.impl.CTSContentLocalServiceImpl.xml,OSGI-INF/com.liferay.change.
 tracking.store.service.persistence.impl.CTSContentModelArgumentsResol
 ver.xml,OSGI-INF/com.liferay.change.tracking.store.service.persistenc
 e.impl.CTSContentPersistenceImpl.xml
Tool: Bnd-5.3.0.202102221516

